|  | Home · All Classes · Modules

# QSvgGenerator Class Reference
[QtSvg module]

The QSvgGenerator class provides a paint device that is used to create SVG drawings. More...

Inherits QPaintDevice.

### Methods

- __init__ (self)
- QString fileName (self)
- int metric (self, QPaintDevice.PaintDeviceMetric metric)
- QIODevice outputDevice (self)
- QPaintEngine paintEngine (self)
- int resolution (self)
- setFileName (self, QString fileName)
- setOutputDevice (self, QIODevice outputDevice)
- setResolution (self, int resolution)
- setSize (self, QSize size)
- QSize size (self)

## Detailed Description

The QSvgGenerator class provides a paint device that is used to create SVG drawings.

See also QSvgRenderer and QSvgWidget.

## Method Documentation

### QSvgGenerator.__init__ (self)

Constructs a new generator.

### QString QSvgGenerator.fileName (self)

Returns the name of the file to be created by the generator.

See also setFileName().

### int QSvgGenerator.metric (self, QPaintDevice.PaintDeviceMetric metric)

### QIODevice QSvgGenerator.outputDevice (self)

Returns the target output device for generated SVGs.

See also setOutputDevice().

### QPaintEngine QSvgGenerator.paintEngine (self)

Returns the paint engine used to render graphics to be converted to SVG format information.

Reimplemented from QPaintDevice.

### int QSvgGenerator.resolution (self)

Returns the resolution of the generated output in dots per inch.

See also setResolution().

### QSvgGenerator.setFileName (self, QString fileName)

Sets the target filename for generated SVGs to fileName.

See also fileName() and setOutputDevice().

### QSvgGenerator.setOutputDevice (self, QIODevice outputDevice)

Sets the output device for generated SVGs to outputDevice.

If both output device and file name are specified, the output device will have precedence.

See also outputDevice().

### QSvgGenerator.setResolution (self, int resolution)

Sets the resolution of the generated output to resolution. The argument is specified in dots per inch.

The resolution is used to calculate the physical size of an SVG drawing.

See also resolution().

### QSvgGenerator.setSize (self, QSize size)

Sets the size of the generated SVG to size.

It is not possible to set the size while the SVG is being generated.

See also size().

### QSize QSvgGenerator.size (self)

Returns the size of the generated SVG.

See also setSize().